﻿using HeuristicLab.Algorithms.PushGP.Stack;

namespace HeuristicLab.Algorithms.PushGP.Expressions
{
    public class BooleanPopExpression : Expression
    {
        public BooleanPopExpression() : base(OpCode.BooleanPop)
        { }

        public override void Eval(IInterpreterService interpreterService)
        {
            interpreterService.BooleanStack.Pop();
        }
    }
}
