﻿using HeuristicLab.Algorithms.PushGP.Stack;

namespace HeuristicLab.Algorithms.PushGP.Expressions
{
    public class FloatPopExpression : Expression
    {
        public FloatPopExpression() : base(OpCode.FloatPop)
        { }

        public override void Eval(IInterpreterService interpreterService)
        {
            interpreterService.FloatStack.Pop();
        }
    }
}
