﻿using HeuristicLab.Algorithms.PushGP.Stack;

namespace HeuristicLab.Algorithms.PushGP.Expressions
{
    public class IntegerDefineExpression : Expression
    {
        public IntegerDefineExpression() : base(OpCode.IntegerDefine)
        { }

        public override void Eval(IInterpreterService interpreterService)
        {
            Define(
                interpreterService.IntegerStack,
                interpreterService.NameStack,
                interpreterService.CustomExpressions,
                value => new IntegerPushExpression(value));
        }
    }
}
