﻿using System;
using HeuristicLab.Algorithms.PushGP.Stack;

namespace HeuristicLab.Algorithms.PushGP.Expressions
{
    public class IntegerMaxExpression : Expression
    {
        public IntegerMaxExpression() : base(OpCode.IntegerMax)
        { }

        public override void Eval(IInterpreterService interpreterService)
        {
            PushResult(interpreterService.IntegerStack, 2, values => Math.Max(values[1], values[0]));
        }
    }
}
