﻿using HeuristicLab.Algorithms.PushGP.Stack;

namespace HeuristicLab.Algorithms.PushGP.Expressions
{
    public class IntegerMultiplyExpression : Expression
    {
        public IntegerMultiplyExpression() : base(OpCode.IntegerMultiply)
        { }

        public override void Eval(IInterpreterService interpreterService)
        {
            PushResult(interpreterService.IntegerStack, 2, values => values[1] * values[0]);
        }
    }
}
