﻿using HeuristicLab.Algorithms.PushGP.Stack;

namespace HeuristicLab.Algorithms.PushGP.Expressions
{
    public class BooleanDefineExpression : Expression
    {
        public BooleanDefineExpression() : base(OpCode.BooleanDefine)
        { }

        public override void Eval(IInterpreterService interpreterService)
        {
            Define(
                interpreterService.BooleanStack,
                interpreterService.NameStack,
                interpreterService.CustomExpressions,
                value => new BooleanPushExpression(value));
        }
    }
}
