﻿using System;
using HeuristicLab.Algorithms.PushGP.Stack;

namespace HeuristicLab.Algorithms.PushGP.Expressions
{
    public class FloatMaxExpression : Expression
    {
        public FloatMaxExpression() : base(OpCode.FloatMax)
        { }

        public override void Eval(IInterpreterService interpreterService)
        {
            PushResult(interpreterService.FloatStack, 2, values => Math.Max(values[1], values[0]));
        }
    }
}
