﻿using System;
using HeuristicLab.Algorithms.PushGP.Stack;

namespace HeuristicLab.Algorithms.PushGP.Expressions
{
    public class IntegerMinExpression : Expression
    {
        public IntegerMinExpression() : base(OpCode.IntegerMin)
        { }

        public override void Eval(IInterpreterService interpreterService)
        {
            PushResult(interpreterService.IntegerStack, 2, values => Math.Min(values[1], values[0]));
        }
    }
}
